login/urls.py
from django.urls import path
from . import views
app_name = 'login'

urlpatterns = [
    path('login', views.login_view, name='login'),
    path('logout', views.logout_view, name='logout'),
    path('register', views.register_view, name='register')
]

story7/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('story7fikri.urls')),
    path('', include('login.urls')),

]

story7fikri/urls.py
from django.urls import path
from . import views

app_name = 'homepage'

urlpatterns = [
    path('', views.accordion, name='accordion'),
    path('searchbox/', views.searchbox, name='searchbox'),
    path('searchbox/data', views.data, name='data'),
    # dilanjutkan ...
]

login/models.py
from django.db import models

# Create your models here.

story7fikri/models.py
from django.db import models

# Create your models here.

login/forms.py
from django import forms
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User

class loginForm(forms.Form):

    username = forms.CharField(widget=forms.TextInput(attrs={
        'class': 'form-control',
        'type' : 'text',
        'placeholder': "Enter your username",
        'required': True,
    }))
    password = forms.CharField(widget=forms.PasswordInput(attrs={
        'class': 'form-control',
        'type' : 'password',
        'placeholder': "Enter your password",
        'required': True,
    }))


class registerForm(UserCreationForm):
    class Meta:
        model = User
        fields = [
            'username', 'email', 'password1','password2',
        ]

login/views.py
from django.shortcuts import render, redirect
from .forms import loginForm, registerForm
from django.contrib.auth import authenticate, login, logout
from django.contrib import messages

def login_view(request):
    form = loginForm()
    flag = False
    if request.method == "POST":
        form = loginForm(request.POST)
        if form.is_valid():
            uname = form.cleaned_data['username']
            passw = form.cleaned_data['password']
            user = authenticate(request, username=uname, password = passw)
            if user is not None:
                login(request, user)
                flag = True
                response = {'form':form,'user':user,'flag':flag}
                return redirect('/login')
            else:
                response = {'form':form,'user':user,'flag':flag}
                return redirect('/login')
    else:
        response = {'form':form,'flag':flag}
        return render(request,'loginPage.html',response)

def register_view(request):
    if request.user.is_authenticated:
	    return redirect ('/register')
    else:
        form = registerForm()
        if request.method == 'POST':
            form = registerForm(request.POST)
            if form.is_valid():
                form.save()
                user = form.cleaned_data.get('username')
                messages.success(request, 'Account was created for ' + user)

                return redirect('/login')
			

        context = {'form':form}
        return render(request, 'registerPage.html', context)

def logout_view(request):
    logout(request)
    form = loginForm()
    response = {'form':form}
    return redirect('/login')

story7fikri/views.py
from django.shortcuts import render
from django.http import JsonResponse
import json
import requests

# Create your views here.

def accordion(request):
    return render(request, 'story7.html')

def searchbox(request):
    return render(request, 'searchbox.html')

def data(request):
    try:
        tes = request.GET['q']
    except:
        tes = "a"
    
    json_read = requests.get('https://www.googleapis.com/books/v1/volumes?q=' + tes).json()

    return JsonResponse(json_read)

login/templates/loginPage.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Login</title>
  <link rel="stylesheet" href="{% static 'Story9.css' %}">
  <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;700&display=swap" rel="stylesheet">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
</head>
<body>
    <h1 class="judulutama">Welcome to my website</h1>
    <div class="container">
        {% if user.is_authenticated %}
            <h1 class='judul'>Hello {{user.username}} </h1>
                <div id="redirect">
                    Click <a href="https://storyppw-fikri.herokuapp.com/">here</a> to go to my website
                </div>
            </a>   
            <div class="tombol">
                <a class='btn btn-primary tombol' href="{% url 'login:logout' %}" style="background-color: rgb(190, 190, 190);border-color: black;color: black;margin-bottom: 2%;">Logout</a>
            </div>
        {% else %}
            <h1 class='judul'>You Have to Login First</h1>
        
            <div class='form'>
                <form action="" method="POST">
                    {% csrf_token %} {{ form }}
                    <div class="tombol">
                        <input type="submit" class="btn btn-primary" value="Login" id="submit" style="background-color: rgb(190, 190, 190);border-color: black;color: black;">
                    </div>
                </form>
            </div>
            <h4 class="judul2">Dont have an account? <a href="{% url 'login:register' %}">Sign Up</a></h4>  
        {% endif %}
    
    </body>
    </div>
</html>

login/templates/registerPage.html
{% load static %}
{% load crispy_forms_tags %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Sign Up</title>
  <link rel="stylesheet" href="{% static 'Story9.css' %}">
  <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;700&display=swap" rel="stylesheet">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
</head>
<body>
    <div class="container">
        <h1 class='judul'>Registration Form</h1>
        <form method="POST">
            {% csrf_token %}
            {{ form | crispy }} 
                <br/>
                <div class="tombol">
                    <input type="submit" class="btn btn-primary tombol" value="Register" id="submit" style="background-color: rgb(190, 190, 190);border-color: black;color: black;margin-bottom: 2%;">
                </div>
        </form>
    </body>
    </div>
</html>

story7fikri/templates/base.html
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <link rel="stylesheet" href="{% static 'story8.css' %}">
    <link rel="stylesheet" href="{% static 'style.css' %}">
    <link rel="stylesheet" href="{% static 'jquery-ui.css' %}">
</head>
    {% block content%}
    
    {% endblock content%}
    <script src="https://code.jquery.com/jquery-1.12.4.min.js" integrity="sha384-nvAa0+6Qg9clwYCGGPpDQLVpLNn0fRaROjHqs13t4Ggj3Ez50XnGQqc/r8MhnRDZ" crossorigin="anonymous"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
    <script src="{% static 'story8.js' %}"></script>
    <script src="{% static 'script.js' %}"></script>
  </body>
</html>

story7fikri/templates/searchbox.html
{% extends 'base.html'%}
{% load static %}

{% block meta %}
<title>Story Searchbox</title>
{% endblock meta %}
{% block content %}

<div class="container" style="height: 1800px;">
  <h1 class = 'titlebox'>Book List</h1>
  <div class="input">
      <img src="{% static 'search.png' %}"> 
      <input type="text" id="input" placeholder="Search for books.." title="Type in a name">
  </div>
  <br>
  <div class="content">
      <table id="tabel" class="table table-borderless">
          <thead>
              <tr>
                  <th scope="col" class="align-middle">No</th>
                  <th scope="col" class="align-middle">Cover</th>
                  <th scope="col" class="align-middle">Title</th>
                  <th scope="col" class="align-middle">Authors</th>
                  <th scope="col" class="align-middle">Publisher</th>
                  <th scope="col" class="align-middle">Published Date</th>
              </tr>
          </thead>
          <tbody id="isi"></tbody>
      </table>
  </div>
</div>


{% endblock content %}

story7fikri/templates/story7.html
{% extends 'base.html'%}
{% load static %}

{% block meta %}
<head>
  <link rel="stylesheet" href="{% static 'style.css' %}">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.min.js"integrity="sha256-VazP97ZCwtekAsvgPBSUwPFKdrwD3unUfSGVYrahUqU=" crossorigin="anonymous"></script>
  <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;700&display=swap" rel="stylesheet">
  <script src="{% static 'script.js' %}"></script>
</head>
<title>Story 7</title>
{% endblock meta %}
{% block content %}

<div class="container" id="container">
<h1 class="title">Story 7</h1>
  <div id="accordion">
    <div class="accordion-wrap">
      <div id="accordion-header">
        <h3>Nama
          <button class="button-up"><img src="{% static 'up.png' %}" style="size: 10px;"></button>  
          <button class="button-down"><img src="{% static 'down.png' %}" style="size: 10px;"></button> 
        </h3>
      </div>
      <div id="accordion-body">
        <p> Halo nama saya Ahmad Fikri Rafiuddin. Biasa dipanggil Fikri.</p>
      </div>
    </div>
    <div class="accordion-wrap">
      <div id="accordion-header">
        <h3>Tempat,Tanggal Lahir
          <button class="button-up"><img src="{% static 'up.png' %}"></button>
          <button class="button-down"><img src="{% static 'down.png' %}"></button> 
        </h3>
      </div>
      <div id="accordion-body">
        <p>Saya lahir di Jakarta, 1 Mei 2001</p>
      </div>
    </div>
    <div class="accordion-wrap">
      <div id="accordion-header">
        <h3>Penghargaan
          <button class="button-up"><img src="{% static 'up.png' %}"></button>
          <button class="button-down"><img src="{% static 'down.png' %}"></button> 
        </h3>
      </div>
      <div id="accordion-body">
            <p>1. Juara 1 Mini Soccer Tingkat Kota
            <br>2. Juara 2 Futsal Tingkat Kota
            <br>3. Juara 3 Futsal Tingkat Kota</p>
      </div>
    </div>
    <div class="accordion-wrap">
      <div id="accordion-header">
        <h3>Riwayat Pendidikan  
          <button class="button-up"><img src="{% static 'up.png' %}"></button>
          <button class="button-down"><img src="{% static 'down.png' %}"></button> 
        </h3>
      </div>
        <div id="accordion-body">
                <p>SD : SDIT Nur Fatahillah
                <br>SMP : SMPIT Insan Harapan
                <br>SMA : SMAN 2 Kota Tangerang Selatan
                <br>Kuliah : Universitas Indonesia</p>        
        </div>
    </div>
  </div>
</div>
{% endblock content %}